标签 linux 下的文章

安装软件未满足依赖关系

安装软件curl时提示以下内容
下列软件包有未满足的依赖关系:
 curl : 依赖: libcurl4 (= 7.64.0-2ubuntu1.2) 但是 7.65.3-1ubuntu3 正要被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

这是由于版本不符的导致的,可能是以前卸载的时候未卸载干净。所以我们需要使用purge选项来重新卸载一次。

sudo apt-get purge libcurl4

然后重新安装,解决问题!!

Ubutnu安装软件未满足依赖关系

执行bash命令提示bash: /dev/fd/63: 没有那个文件或目录

bash: /dev/fd/63: 没有那个文件或目录

原因:<(…)运算符称为进程替换,是运行命令的一种方式,其输出进入匿名管道。这就是/dev/fd/63。其思想是允许外部命令(这里是bash)将另一个命令输出视为一个文件。通常形式是使用<将伪文件对象重定向到bash的输入流中。

解决方案,使用两个<code><</code>

解决方案,使用两个<

用户不在sudo列表

别问为什么出现这个问题,,,

解决方法

  1. 重启进恢复模式
  2. 选择root用户
  3. 添加用户至sudo组
adduser username sudo

系统没有设置图标

ubuntu没有设置.png

天哪,为啥我的电脑老是出现些奇怪的问题。

解决方法

  1. -sudo apt update-
  2. sudo apt install gnome-control-center

系统修复设置

1. 安装chrome

sudo wget http://www.linuxidc.com/files/repo/google-chrome.list -P /etc/apt/sources.list.d/
wget -q -O - https://dl.google.com/linux/linux_signing_key.pub  | sudo apt-key add -
sudo apt update
sudo apt install google-chrome-stable
19年12月18日:现在觉得火狐也不错

2. 安装Shadowsocks

不然美化界面太慢了

3. 美化界面参考链接

安装工具
sudo apt-get update
sudo apt-get install gnome-tweak-tool
sudo apt-get install gnome-shell-extensions
sudo apt-get install  gnome-shell-extension-dashtodock

2018-12-24 14-21-29 的屏幕截图.png

3. 安装搜狗输入法ubuntu 18.04 LTS 安装搜狗输入法

实在是不喜欢默认输入法

4. 换阿里源

1. 先备份源

sudo cp /etc/apt/sources.list /etc/apt/sources.list.bak

2. 删除原文件

sudo rm -f /etc/apt/sources.list

3. 新建源文件

sudo vi /etc/apt/sources.list

4. 添加内容

deb http://mirrors.aliyun.com/ubuntu/ bionic main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ bionic main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ bionic-security main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ bionic-security main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ bionic-updates main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ bionic-updates main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ bionic-backports main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ bionic-backports main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ bionic-proposed main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ bionic-proposed main restricted universe multiverse

2019-03-28T03:03:08.png

其中bionic是系统版本代号,可使用lsb_release -cs查询,添加内容时需要更换为对应的版本代号

查看ubuntu系统版本代号

5. 安装V2ray

sudo bash < <( curl -L -s https://install.direct/go.sh)

配置

gedit /etc/v2ray/config.json

修改内容

{
  "log": {
    "loglevel": "info"
  },
  "inbounds": [
    {
      "port": 1080,
      "protocol": "socks",
      "sniffing": {
        "enabled": true,
        "destOverride": [
          "http",
          "tls"
        ]
      },
      "settings": {
        "udp": true // 开启 UDP 协议支持
      }
    },
    {
      "port": 8080,
      "protocol": "http",
      "sniffing": {
        "enabled": true,
        "destOverride": [
          "http",
          "tls"
        ]
      }
    }
  ],
  "outbounds": [
    {
      "tag": "proxy-vmess",
      "protocol": "vmess",
      "settings": {
        "vnext": [
          {
            "address": "8.8.8.8", // 服务器的 IP
            "port": 443, // 服务器的端口
            "users": [
              {
                // id 就是 UUID,相当于用户密码
                "id": "7d4c4078-e129-416b-a483-cf5713a96a66",
                "alterId": 4
              }
            ]
          }
        ]
      }
    },
    {
      "tag": "direct",
      "settings": {},
      "protocol": "freedom"
    }
  ],
  "dns": {
    "server": [
      "8.8.8.8",
      "1.1.1.1"
    ],
    // 你的 IP 地址,用于 DNS 解析离你最快的 CDN
    "clientIp": "203.208.40.63"
  },
  // 配置路由功能,绕过局域网和中国大陆地址
  "routing": {
    "domainStrategy": "IPOnDemand",
    "rules": [
      {
        "type": "field",
        "domain": [
          // 默认跳过国内网站,如果想要代理某个国内网站可以添加到下列列表中
          "cnblogs.com"
        ],
        "outboundTag": "proxy-vmess"
      },
      {
        "type": "field",
        "domain": [
          "geosite:cn"
        ],
        "outboundTag": "direct"
      },
      {
        "type": "field",
        "outboundTag": "direct",
        "ip": [
          "geoip:cn",
          "geoip:private"
        ]
      }
    ]
  }
}

运行

systemctl start v2ray

首先下载UEFI版

下载链接在官方QQ群里面

TIPS: 直接在群文件里面下载可能会因为各种原因中断下载,建议登录QQ群空间里面,再使用迅雷下载。

接下来为转载的操作

image

mount挂载

mount {{根挂载点}} /mnt

第一次尝试(2018.9.21 9:05)

自动清除磁盘安装,未找到/分区,手动分区尝试中。

手动分区,发现格式好奇怪,看不懂,格式化尝试中。

更新: 好像是开启了LVM的原因,尝试不开启LVM。清除整个磁盘安装

### 第二次尝试清除整个磁盘安装 (2018.9.21 9:15)

磁盘情况,分区情况如下,但是无法进入系统

好像联网安装就成功了????

我们都知道,微信开发者工具是没有linux版的,还是有点难受。好在有大神迁移了。

1. 下载项目

git clone https://github.com/cytle/wechat_web_devtools.git

2. 进入目录

cd wechat_web_devtools

3. 自动下载最新 nw.js , 同时部署目录 ~/.config/微信web开发者工具/

./bin/wxdt install
最好先切换npm淘宝源npm太慢使用淘宝npm镜像

4. 运行

./bin/wxdt

7. 错误排除

1. 提示“小程序重启耗时过久,请确认业务逻辑中是否有复杂运算或死循环”

解决方案:apt-get install wine-binfmt